com.singularsys.jep.parser

## Class ASTOpNode

- java.lang.Object
- - com.singularsys.jep.parser.SimpleNode
  - - com.singularsys.jep.parser.ASTFunNode
    - - com.singularsys.jep.parser.ASTOpNode

- All Implemented Interfaces:
    Node

      public class ASTOpNode
      extends ASTFunNode

  Function Node

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.singularsys.jep.parser.Node

      `Node.HookKey`

  - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.parser.ASTFunNode

      `pfmc`

    - ### Fields inherited from class com.singularsys.jep.parser.SimpleNode

      `children, id, keys, parent, vals`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTOpNode(int id)` Creates a new ASTFunNode

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the name of the node (operator symbol or function name).
    `Operator` | `getOperator()` Returns the id number of the operator if the node is an operator.
    `java.lang.Object` | `jjtAccept(ParserVisitor visitor, java.lang.Object data)` Accept the visitor.
    `void` | `setOperator(Operator op)` Sets the opID, name and pfmc for this node by looking up the values in the Operators class
    `java.lang.String` | `toString()` Returns a string containing the function name.

    - ### Methods inherited from class com.singularsys.jep.parser.ASTFunNode

      `getPFMC, getValue, getVar, setFunction`

    - ### Methods inherited from class com.singularsys.jep.parser.SimpleNode

      `childIterator, children, childrenAccept, dump, getHook, getId, hookKeys, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, removeHook, setHook, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTOpNode

          public ASTOpNode(int id)

      Creates a new ASTFunNode

  - ### Method Detail

    - #### jjtAccept

          public java.lang.Object jjtAccept(ParserVisitor visitor,
                                            java.lang.Object data)
                                     throws JepException

      Accept the visitor.
      Specified by:
        `jjtAccept` in interface `Node`
      Overrides:
        `jjtAccept` in class `ASTFunNode`
      Throws:
        `ParseException`
        `JepException`

    - #### setOperator

          public void setOperator(Operator op)

      Sets the opID, name and pfmc for this node by looking up the values in the Operators class

    - #### toString

          public java.lang.String toString()

      Returns a string containing the function name.
      Overrides:
        `toString` in class `ASTFunNode`

    - #### getName

          public java.lang.String getName()

      Returns the name of the node (operator symbol or function name).
      Specified by:
        `getName` in interface `Node`
      Overrides:
        `getName` in class `ASTFunNode`
      Returns:
        the name if an ASTVarNode, ASTFunNode, ASTOpNode, null otherwise

    - #### getOperator

          public Operator getOperator()

      Returns the id number of the operator if the node is an operator.
      Specified by:
        `getOperator` in interface `Node`
      Overrides:
        `getOperator` in class `ASTFunNode`
      Returns:
        The Operator for ASTOpNodes, null otherwise

Copyright © 2018 Singular Systems http://www.singularsys.com/jep